import os


class PathParam(object):
    def __init__(self, tmp_root, exector_process_dir_name, read_dir):
        self.tmp_base_path = str(os.path.join(tmp_root, exector_process_dir_name))
        self.read_dir = read_dir

    def get_unzip_tmp_path(self):
        path = os.path.join(self.tmp_base_path, 'unzip_tmp')
        if not os.path.exists(path):
            os.makedirs(path, exist_ok=True)

        return path

    def get_process_tmp_path(self):
        path = os.path.join(self.tmp_base_path, 'process_tmp')
        if not os.path.exists(path):
            os.makedirs(path, exist_ok=True)

        return path

    def get_merge_tmp_path(self):
        path = os.path.join(self.tmp_base_path, 'merge_tmp')
        if not os.path.exists(path):
            os.makedirs(path, exist_ok=True)
        return path
