from trans.ExecParam import ExecParam
from trans.common.Axis0DataImpl import Axis0DataImpl
from trans.common.Axis1DataImpl import Axis1DataImpl


class ReadAndSaveTmp(object):

    def __init__(self, id, process_count, now_count, exec_param: ExecParam,  save_db=True):
        self.id = id
        self.process_count = process_count
        self.now_count = now_count
        self.exec_param = exec_param
        self.save_db = save_db

    def run(self):

        if self.exec_param.join_type == 0:
            run_process = Axis0DataImpl(self.id, self.process_count, self.now_count, self.exec_param, self.save_db)
        else:
            run_process = Axis1DataImpl(self.id, self.process_count, self.now_count, self.exec_param, self.save_db)

        run_process.run()
