import os.path


def get_project_root():
    path = os.path.dirname(os.path.dirname(__file__)) + os.sep
    return path


def get_project_conf_path():
    path = get_project_root() + 'conf' + os.sep
    return path


def get_project_conf_path_file(env='dev'):
    path = get_project_root() + 'conf' + os.sep + f'conf_{env}.yaml'
    return path



if __name__ == '__main__':
    print(get_project_root())
    print(get_project_conf_path())
